# Trigger a job run now (409 if a run is active and the policy is forbid) Source: https://docs.orchard.hackclub.com/api/operations/jobs_runs_create/ `POST /apiv1/jobs/{id}/runs` Operation ID: `jobs_runs_create` Auth: authenticated ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Request body ```json { "additionalProperties": {}, "properties": { "allowConcurrent": { "description": "Start even if another run is active", "type": "boolean" } }, "type": "object" } ``` ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "createdAt": { "type": "string" }, "currentStepOrder": { "type": [ "integer", "null" ] }, "errorMessage": { "type": [ "string", "null" ] }, "finishedAt": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "jobId": { "type": "string" }, "jobName": { "type": "string" }, "number": { "type": "integer" }, "scheduledFor": { "type": [ "string", "null" ] }, "startedAt": { "type": [ "string", "null" ] }, "status": { "enum": [ "pending", "running", "succeeded", "failed", "canceled", "skipped", "timed_out" ], "type": "string" }, "steps": { "items": { "additionalProperties": {}, "properties": { "command": { "type": [ "string", "null" ] }, "exitCode": { "type": [ "integer", "null" ] }, "finishedAt": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "logsTruncated": { "type": "boolean" }, "name": { "type": "string" }, "reason": { "type": [ "string", "null" ] }, "resolvedImage": { "type": [ "string", "null" ] }, "startedAt": { "type": [ "string", "null" ] }, "status": { "enum": [ "pending", "running", "succeeded", "failed", "canceled", "skipped", "timed_out" ], "type": "string" }, "stepOrder": { "type": "integer" }, "type": { "enum": [ "script", "app", "image" ], "type": "string" } }, "required": [ "stepOrder", "name", "status" ], "type": "object" }, "type": "array" }, "trigger": { "enum": [ "manual", "api", "cron" ], "type": "string" }, "triggeredBy": { "additionalProperties": {}, "properties": { "id": { "type": "string" }, "name": { "type": "string" }, "username": { "type": "string" } }, "required": [ "id", "username", "name" ], "type": [ "object", "null" ] } }, "required": [ "id", "jobId", "number", "trigger", "status", "currentStepOrder", "errorMessage", "scheduledFor", "startedAt", "finishedAt", "createdAt", "triggeredBy" ], "type": "object" } ```